Panda3D

Public Member Functions | Static Public Member Functions | Static Public Attributes | List of all members
LinearNoiseForce Class Reference

Repeating noise force vector. More...

`#include "linearNoiseForce.h"`

Inheritance diagram for LinearNoiseForce:

## Public Member Functions
| LinearNoiseForce (const LinearNoiseForce &copy)
| copy constructor More...
| LinearNoiseForce (PN_stdfloat a=1.0f, bool m=false)
| constructor More...
virtual | ~LinearNoiseForce ()
| destructor More...
virtual TypeHandle | force_init_type ()
virtual TypeHandle | get_type () const
virtual void | output (std::ostream &out) const
| Write a string representation of this instance to <out>. More...
virtual void | write (std::ostream &out, int indent=0) const
| Write a string representation of this instance to <out>. More...
Public Member Functions inherited from LinearRandomForce
virtual | ~LinearRandomForce ()
| destructor More...
Public Member Functions inherited from LinearForce
| ~LinearForce ()
| Destructor. More...
PN_stdfloat | get_amplitude () const
bool | get_mass_dependent () const
LVector3 | get_vector (const PhysicsObject *po)
LVector3 | get_vector_masks ()
virtual bool | is_linear () const
void | set_amplitude (const PN_stdfloat a)
void | set_mass_dependent (bool m)
void | set_vector_masks (bool x, bool y, bool z)
Public Member Functions inherited from BaseForce
virtual | ~BaseForce ()
| destructor More...
bool | get_active () const
ForceNode * | get_force_node () const
NodePath | get_force_node_path () const
void | set_active (bool active)
Public Member Functions inherited from TypedReferenceCount
| TypedReferenceCount (const TypedReferenceCount &copy)
void | operator= (const TypedReferenceCount &copy)
Public Member Functions inherited from TypedObject
| TypedObject (const TypedObject &copy)=default
TypedObject * | as_typed_object ()
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
const TypedObject * | as_typed_object () const
| Returns the object, upcast (if necessary) to a TypedObject pointer. More...
int | get_best_parent_from_Set (const std::set< int > &) const
int | get_type_index () const
| Returns the internal index number associated with this object's TypeHandle, a unique number for each different type. More...
bool | is_exact_type (TypeHandle handle) const
| Returns true if the current object is the indicated type exactly. More...
bool | is_of_type (TypeHandle handle) const
| Returns true if the current object is or derives from the indicated type. More...
TypedObject & | operator= (const TypedObject &copy)=default
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object. More...
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise. More...
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack. More...
void | ref () const
| Explicitly increments the reference count. More...
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero. More...
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus. More...
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus. More...
virtual bool | unref () const
| Explicitly decrements the reference count. More...
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one. More...
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object. More...
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object. More...

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_noise_tables ()
| One-time config function, sets up the PRN lattice. More...
static void | init_type ()
Static Public Member Functions inherited from LinearRandomForce
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from LinearForce
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from BaseForce
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()
Static Public Member Functions inherited from TypedObject
static TypeHandle | get_class_type ()
static void | init_type ()
| This function is declared non-inline to work around a compiler bug in g++ 2.96. More...
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Static Public Attributes
static ConfigVariableInt | _random_seed

## Additional Inherited Members
Public Attributes inherited from TypedObject
| get_type
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count. More...

## Detailed Description

Repeating noise force vector.

Definition at line 24 of file linearNoiseForce.h.

## Constructor & Destructor Documentation

## ◆ LinearNoiseForce() [1/2]

LinearNoiseForce::LinearNoiseForce | ( | PN_stdfloat | a = `1.0f`,
|  | bool | m = `false`
| ) |  |
| explicit

constructor

Definition at line 52 of file linearNoiseForce.cxx.

References init_noise_tables().

## ◆ LinearNoiseForce() [2/2]

LinearNoiseForce::LinearNoiseForce | ( | const LinearNoiseForce & | copy | ) |

copy constructor

Definition at line 64 of file linearNoiseForce.cxx.

## ◆ ~LinearNoiseForce()

LinearNoiseForce::~LinearNoiseForce | ( |  | ) |
| virtual

destructor

Definition at line 72 of file linearNoiseForce.cxx.

## Member Function Documentation

## ◆ init_noise_tables()

void LinearNoiseForce::init_noise_tables | ( |  | ) |
| static

One-time config function, sets up the PRN lattice.

Definition at line 33 of file linearNoiseForce.cxx.

Referenced by LinearNoiseForce().

## ◆ output()

void LinearNoiseForce::output | ( | std::ostream & | out | ) | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from LinearRandomForce.

Definition at line 133 of file linearNoiseForce.cxx.

## ◆ write()

void LinearNoiseForce::write | ( | std::ostream & | out,
|  | int | indent = `0`
| ) |  | const
| virtual

Write a string representation of this instance to <out>.

Reimplemented from LinearRandomForce.

Definition at line 143 of file linearNoiseForce.cxx.

References indent(), and LinearRandomForce::write().

The documentation for this class was generated from the following files:

- panda/src/physics/linearNoiseForce.h
- panda/src/physics/linearNoiseForce.cxx
- panda/src/physics/linearNoiseForce.I